using PushInfo.Act.BLL;
using PushPlatform.Common.Util;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Threading.Tasks;

namespace PushPfWinServer
{
    public partial class Service1 : ServiceBase
    {
        public Service1()
        {
            InitializeComponent();
        }
        /// <summary>
        /// 服务开启
        /// </summary>
        /// <param name="args"></param>
        protected override void OnStart(string[] args)
        {
            try
            {
                //MqBLL mqBll = new MqBLL();
                //mqBll.ReleaseTaskMq();
                //LogHelper.Debug("任务消息队列：【服务启动】");
                PushInfo.Act.BLL.QuartzBLL.Start();
                LogHelper.Debug("91trial定时任务服务：【服务启动】");
            }
            catch(Exception ex)
            {
                LogHelper.Error(ex);
            }
            //MessageQueueBLL mQbll = new MessageQueueBLL();
            //mQbll.Start();
        }

        protected override void OnStop()
        {
            LogHelper.Debug("91trial定时任务服务：【服务关闭】");
        }
    }
}
